[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Cannot install xemacs (missing libpng.so.0)



Abed M. Hammoud wrote:
> 
> Hello,
> 
> WHen I try to install xemacs I get the folloing:
> 
> rpm -Uvh xemacs-*
> 
> failed dependencies:
>         libpng.so.0 is needed by xemacs-20.4-1
> 
<snip>

A quick loog shows this ....

-rw-r--r--   1 root     root       122694 May  7 22:33
/usr/lib/libpng.a
lrwxrwxrwx   1 root     root           11 Jul  3 07:04
/usr/lib/libpng.so -> lib
png.so.2
lrwxrwxrwx   1 root     root           15 Jul  3 07:04
/usr/lib/libpng.so.2 -> l
ibpng.so.2.1.0
-rwxr-xr-x   1 root     root       114848 May  7 22:33
/usr/lib/libpng.so.2.1.0
 
the rpms should get the links, but you can make them by hand :)

ex.

cd /usr/lib
ln -s libpng.so.2 libpng.so.0

RH5.1 comes with emacs-20.2.10.rpm and emacs-X11-20.2.10.rpm
the xemacs you have may not be for a RedHat system?
The link above should work though.

	-Thomas



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]